package com.xinelu.manage.domain.basenursinginfo;

import com.xinelu.common.annotation.Excel;
import com.xinelu.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 护理知识库对象 base_nursing_info
 *
 * @author xinelu
 * @date 2024-05-17
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "护理知识库对象", description = "base_nursing_info")
public class BaseNursingInfo extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * $column.columnComment
     */
    private Long id;

    /**
     * 护理知识名称
     */
    @ApiModelProperty(value = "护理知识名称")
    @Excel(name = "护理知识名称")
    private String nursingName;

    /**
     * 烟酒指导
     */
    @ApiModelProperty(value = "烟酒指导")
    @Excel(name = "烟酒指导")
    private String tobaccoWine;

    /**
     * 睡眠指导
     */
    @ApiModelProperty(value = "睡眠指导")
    @Excel(name = "睡眠指导")
    private String sleep;

    /**
     * 情绪指导
     */
    @ApiModelProperty(value = "情绪指导")
    @Excel(name = "情绪指导")
    private String emotion;

    /**
     * $column.columnComment
     */
    @ApiModelProperty(value = "${comment}")
    @Excel(name = "居家安全指导")
    private String homeSafeguard;


    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("nursingName", getNursingName())
                .append("tobaccoWine", getTobaccoWine())
                .append("sleep", getSleep())
                .append("emotion", getEmotion())
                .append("homeSafeguard", getHomeSafeguard())
                .append("createTime", getCreateTime())
                .append("createBy", getCreateBy())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
